#include <IRremote.h>
#include "XC3718_codes.h"


const int RECV_PIN = 12; //s pin is connected to pin 12.

IRrecv irrecv(RECV_PIN);

decode_results results;

void setup()
{
  Serial.begin(9600);
  irrecv.enableIRIn(); // Start the receiver
}

void loop() {
	//once the irrecv has 'caught' a value, it will hold and not accept more.
  if (irrecv.decode(&results)) { //there's a value, store in 'results'
    Serial.print(results.value, HEX); //raw value
	Serial.print(": ");
	Serial.println(XC_STR(results.value)); //our look up table
    irrecv.resume(); // continue waiting to receive the next value
  }
}
